unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Sample, DECUtil;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label5: TLabel;
    Edit5: TEdit;
    Label6: TLabel;
    Edit6: TEdit;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  Jmeno:string;
  Prijmeni:string;
  RC:string;
  HASH:string;
  URL_Banka_Zak,URL_PG,URL_Obch:string;
  DataStream:TMemoryStream;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.BitBtn2Click(Sender: TObject);
begin
     Form2.Close;
//     Form1.Close;
end;

procedure TForm2.BitBtn1Click(Sender: TObject);
begin
     Form1.HashManager1.Algorithm:='Secure Hash Algorithm';
     Form1.HashManager1.CalcString(Form2.Edit1.Text+' '+Form2.Edit2.Text+' '+
                   Form2.Edit3.Text+' '+Form2.Edit6.Text);
     HASH:=Form1.HashManager1.DigestString[fmtHEX];
     Jmeno:=Form2.Edit1.Text;
     Prijmeni:=Form2.Edit2.Text;
     RC:=Form2.Edit3.Text;
     URL_Banka_Zak:=Form2.Edit5.Text;
     Form2.Caption:=Form2.Caption+' - ekejte prosm...';
     Form1.Show;
     Form2.Hide;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
     if ParamStr(1)<>'' then begin
        DataStream:=TMemoryStream.Create;
        DataStream.LoadFromFile(ParamStr(1));
     end;
end;

procedure TForm2.FormDestroy(Sender: TObject);
begin
     if ParamStr(1)<>'' then
        DataStream.Free;
end;

end.
